
import com.vps91.Vps91;
import com.vps91.common.*;



public class Test {

    private final String dynamicKey = "dynamicKey";
    private final String dynamicTradeNo = "dynamicTradeNo";

    private final String aloneTradeNo = "aloneTradeNo";
    private final String aloneKey = "aloneKey";

    private final String postPayTradeNo = "postPayTradeNo";
    private final String postPayKey = "postPayKey";

    private final String unlimitedTradeNo = "unlimitedTradeNo";
    private final String unlimitedKey = "unlimitedKey";


    @org.junit.jupiter.api.Test
    public void test() throws Exception {
        String a = Vps91.dynamicGetIps(new DynamicGetIps().setTrade_no(dynamicTradeNo).setNum(1).setKey(dynamicKey));
        System.out.println(a);
        String[] as = a.split("\n");
        long begintime = System.currentTimeMillis();
        String resp = Vps91.dynamicCheck(new DynamicCheck().setTrade_no(dynamicTradeNo).setKey(dynamicKey).setProxy(as[0]));
        long endintime = System.currentTimeMillis();
        System.out.println(endintime - begintime);
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 提取代理iP
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void dyGetIps() throws IllegalAccessException {
        String a = Vps91.dynamicGetIps(new DynamicGetIps().setTrade_no(dynamicTradeNo).setNum(10).setKey(dynamicKey));
        System.out.println(a);
    }

    /**
     * 动态代理 -- 检查代理的有效性
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void Check() throws IllegalAccessException {
        String resp = Vps91.dynamicCheck(new DynamicCheck().setTrade_no(dynamicTradeNo).setKey(dynamicKey).setProxy("120.39.142.214:40786,153.37.115.56:57433,42.84.173.2:55228"));
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 设置代理IP白名单
     *
     * @throws IllegalAccessException 返回实例 {"msg":"请求成功","code":200,"data":{"white_ip_count":5,"current_white_ip":["1.1.1.1","2.2.2.2","30.30.30.30"],"surplus_white_ip_quantity":2}}
     */
    @org.junit.jupiter.api.Test
    public void dySetWhiteIp() throws IllegalAccessException {
        String resp = Vps91.dynamicSetWhiteIp(new DynamicSetWhiteIp().setTrade_no(dynamicTradeNo).setKey(dynamicKey).setIps("2.2.2.2,30.30.30.30"));
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 获取代理IP白名单
     * <p>
     * 返回示例 {"msg":"成功","code":200,"data":{"white_ip_count":5,"current_white_ip":["1.1.1.1","2.2.2.2","30.30.30.30"],"surplus_white_ip_quantity":2}}
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void dyGetWhiteIp() throws IllegalAccessException {
        String resp = Vps91.dynamicGetWhiteIp(new DynamicGetWhiteIp().setTrade_no(dynamicTradeNo).setKey(dynamicKey));
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 替换代理Ip白名单
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void dyReplaceWhiteIp() throws IllegalAccessException {
        String resp = Vps91.dynamicReplaceWhiteIp(new DynamicReplaceWhiteIp().setTrade_no(dynamicTradeNo).setKey(dynamicKey).setNew_ip("11.12.13.14,15.16.17.18").setOld_ip("3.3.3.9").setReset("1"));
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 业务代理IP剩余数量
     *
     * @throws IllegalAccessException 返回示例 {"msg":"成功","code":200,"data":{"balance":4999880}}
     */
    @org.junit.jupiter.api.Test
    public void balance() throws IllegalAccessException {
        String resp = Vps91.dynamicBalance(new DynamicBalance().setTrade_no(dynamicTradeNo).setKey(dynamicKey));
        System.out.println(resp);
    }

    /**
     * 动态代理 -- 获取代理剩余可用时长
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void dynamicremain() throws IllegalAccessException {
        String value = Vps91.dynamicRemain(new DynamicRemain().setTrade_no(dynamicTradeNo).setKey(dynamicKey).setProxy("1.1.1.1:8082"));
        System.out.println(value);
    }


    /**
     * 独享代理 -- 获取白名单
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void alonegetwhiteip() throws IllegalAccessException {
        String value = Vps91.aloneGetWhiteIp(new AloneGetWhiteIp().setTrade_no(aloneTradeNo).setKey(aloneKey));
        System.out.println(value);
    }

    /**
     * 独享代理 -- 设置IP白名单
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void setwhiteip() throws IllegalAccessException {
        String value = Vps91.aloneSetWhiteIp(new AloneSetWhiteIp().setTrade_no(aloneTradeNo).setKey(aloneKey).setIps("10.10.10.10"));
        System.out.println(value);
    }

    /**
     * 独享代理 -- 获取独享代理详情
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void alonegetips() throws IllegalAccessException {
        String value = Vps91.aloneGetIps(new AloneGetIps().setTrade_no(aloneTradeNo).setKey(aloneKey));
        System.out.println(value);
    }

    /**
     * 独享代理 -- 替换代理IP白名单
     *
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void aloneReplaceWhiteIp() throws IllegalAccessException {
        String resp = Vps91.aloneReplaceWhiteIp(new AloneReplaceWhiteIp().setTrade_no(aloneTradeNo).setKey(aloneKey).setNew_ip("11.12.13.14,15.16.17.18").setOld_ip("3.3.3.9").setReset("1"));
        System.out.println(resp);
    }

    /**
     * 按量付费 -- 提取ip
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void postPayGetIps() throws IllegalAccessException{
        String value = Vps91.postPayGetIps(new PostPayGetIps().setTrade_no(postPayTradeNo).setKey(postPayKey).setNum(10));
        System.out.println(value);
    }

    /**
     * 按量付费 -- 检查ip是否可用
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void postPayCheck() throws IllegalAccessException{
        String value = Vps91.postPayCheck(new PostPayCheck().setTrade_no(postPayTradeNo).setKey(postPayKey).setProxy("223.6.6.6:33225"));
        System.out.println(value);
    }

    /**
     * 按量付费 -- 设置ip白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void postPaySetWhiteIp() throws IllegalAccessException {
        String value = Vps91.postPaySetWhiteIp(new PostPaySetWhiteIp().setTrade_no(postPayTradeNo).setKey(postPayKey).setIps("223.6.6.6"));
        System.out.println(value);
    }

    /**
     * 按量付费 -- 获取ip白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void postPayGetWhiteIp() throws IllegalAccessException {
        String value = Vps91.postPayGetWhiteIp(new PostPayGetWhiteIp().setTrade_no(postPayTradeNo).setKey(postPayKey));
        System.out.println(value);
    }

    /**
     * 按量付费 -- 替换ip白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void postPayReplaceWhiteIp() throws IllegalAccessException {
        String value = Vps91.postPayReplaceWhiteIp(new PostPayReplaceWhiteIp().setTrade_no(postPayTradeNo).setKey(postPayKey).setReset("1").setNew_ip("223.6.6.6"));
        System.out.println(value);
    }

    /**
     * 不限量 -- 获取ip白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void unlimitedGetIps() throws IllegalAccessException{
        String value = Vps91.unlimitedGetIps(new UnlimitedGetIps().setTrade_no(unlimitedTradeNo).setKey(unlimitedKey).setNum(10));
        System.out.println(value);
    }

    /**
     * 不限量 -- 设置白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void unlimitedSetIps() throws IllegalAccessException{
        String value = Vps91.unlimitedSetWhiteIp(new UnlimitedSetWhiteIp().setTrade_no(unlimitedTradeNo).setKey(unlimitedKey).setIps("223.6.6.6"));
        System.out.println(value);
    }

    /**
     * 不限量 -- 获取白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void unlimitedGetWhiteIp() throws IllegalAccessException{
        String value = Vps91.unlimitedGetWhiteIp(new UnlimitedGetWhiteIp().setTrade_no(unlimitedTradeNo).setKey(unlimitedKey));
        System.out.println(value);
    }

    /**
     * 不限量 -- 替换白名单
     * @throws IllegalAccessException
     */
    @org.junit.jupiter.api.Test
    public void unlimitedReplaceWhiteIp() throws IllegalAccessException {
        String value = Vps91.unlimitedReplaceWhiteIp(new UnlimitedReplaceWhiteIp().setTrade_no(unlimitedTradeNo).setKey(unlimitedKey).setOld_ip("223.6.6.6").setNew_ip("223.6.6.6"));
        System.out.println(value);
    }
}
